没办法,得在jdk1.7和1.8之间切换。用dmg方式安装的jdk。

第一步:干掉plugin和panel,这两个也是直接导致无法同时使用两个jdk的原因

sudo rm -fr /Library/Internet\ Plug-Ins/JavaAppletPlugin.plugin  
sudo rm -fr /Library/PreferencePanes/JavaControlPanel.prefpane  

第二步:干掉jdk的home

cd /Library/Java/JavaVirtualMachines  
ls -lha  
jdk1.7.0_79.jdk  
sudo rm -rf jdk1.7.0_79.jdk  

天下太平了!!!

comments powered by Disqus